### Constructor

# EBackend FileCache new

#### Declaration [src]

    EFileCache*
    e_file_cache_new (
      const gchar* filename
    )

#### Description [src]

Creates a new `EFileCache` object, which implements a cache of objects. Useful for remote backends.

#### Parameters

`filename`

  Type: `const gchar*`

  Filename where the cache is kept.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EFileCache`

A new `EFileCache`.

The caller of the function takes ownership of the data, and is responsible for freeing it.